{% set CodiceModulo = "RICH_ISCR_TRASPORTO" %}
{% set Urn = "document:c_a271:trasporto.scolastico;iscrizione;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"ADD-DIR-SEPA",
  "urn":"document:c_a271:addebito.diretto.sepa",
  "descrizione_tabella_allegati":"Domanda di addebito diretto SEPA",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Addebito diretto SEPA",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"secondario",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di iscrizione al servizio di trasporto scolastico"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di iscrizione al servizio di trasporto scolastico {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - trasporto scolastico (iscrizione)'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di iscrizione al servizio di trasporto scolastico </div>
</div>

{{ utils_scolastici.anno_scolastico(intestazione = "anno scolastico") }}

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del minore", 
                              pointer_carica_dati="display:none", 
                              visibility_carica_dati="display:none", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="true")}}

<!--In caso di select per la scuola, inserire i valori delle option come i ruoli nell'anagrafica società
Es. options=["scuola 1", "scuola 2"] -->
{{utils_scolastici.iscrizione_scuola(intestazione="iscritto alla scuola", mandatory_enabled="true", options="")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> di poter fruire del servizio di trasporto scolastico per l’anno scolastico corrente per il proprio figlio. </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Viaggi giornalieri </label>
    </div>
  </div>
  {% set testi = [
    "andata",
    "ritorno",
    "andata e ritorno"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_ViaggiGiornalieri" name="Tassonomia_ViaggiGiornalieri" label="Viaggi giornalieri" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_ViaggiGiornalieri{{ loop.index }}" name="Tassonomia_ViaggiGiornalieri" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_ViaggiGiornalieri{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>

<globo_salto_pagina></globo_salto_pagina>

{{ utils.Dichiara_445() }}

<div class="container">
  {% set dic = [
    "che entrambi i genitori lavorano",
    "che un genitore lavora",
    "di abitare a più di 500m da scuola"
  ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Dichiara{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
</div>

{{ utils_scolastici.dichiarazione_miur() }}

<div class="container border bg-light">
  {% set testi = [
    "figlio iscritto alla scuola dell’infanzia o primaria",
    "figlio iscritto alla scuola secondaria"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_ScuolaFiglio" name="Tassonomia_ScuolaFiglio" label="Scuola del figlio" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_ScuolaFiglio{{ loop.index }}" name="Tassonomia_ScuolaFiglio" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_ScuolaFiglio{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Ritiro del figlio </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_RitiroFiglio" name="Tassonomia_RitiroFiglio" label="Ritiro figlio" mandatory_enabled="#Tassonomia_ScuolaFiglio1.checked()"></div>
    <input class="form-check-input" id="Tassonomia_RitiroFiglio1" name="Tassonomia_RitiroFiglio" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_RitiroFiglio1"> il sottoscritto si impegna ad essere presente per il ritiro del figlio nel luogo e nell’orario convenuti per tutto l’anno scolastico in corso o fino a nuova comunicazione </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_RitiroFiglio2" name="Tassonomia_RitiroFiglio" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_RitiroFiglio2"> consapevole che la responsabilità dell'Amministrazione comunale termina dal momento in cui il bambino viene affidato alla persona indicata, delega le seguenti persone di fiducia maggiorenne a prendere in custodia il proprio figlio alla fermata dello scuolabus per il percorso di ritorno a casa </label>
    <!-- Settare in condiz la condizione di attivazione della prima riga. Se un campo deve essere opzionale, inserire "true" nel parametro enabled dell'array -->
    {% set num=3 %}
    {% set condiz="#Tassonomia_RitiroFiglio2.checked()"%}
    {% set campi=[
      {
        "titolo":"Cognome",
        "label":"Cognome",
        "id":"Parametri_CognomeRitiro",
        "format":"",
        "carattere_speciale":"",
        "col":"2",
        "options":"",
        "enabled":""
      },
      {
        "titolo":"Nome",
        "label":"Nome",
        "id":"Parametri_NomeRitiro",
        "format":"",
        "carattere_speciale":"",
        "col":"2",
        "options":"",
        "enabled":""
      },
      {
        "titolo":"Data di nascita",
        "label":"Data di nascita",
        "id":"Parametri_DataNascitaRitiro",
        "format":"date",
        "carattere_speciale":"",
        "col":"2",
        "options":"",
        "enabled":""
      },
      {
        "titolo":"Luogo di nascita",
        "label":"Luogo di nascita",
        "id":"Parametri_LuogoNascitaRitiro",
        "format":"",
        "carattere_speciale":"",
        "col":"2",
        "options":"",
        "enabled":""
      },
      {
        "titolo":"Indirizzo",
        "label":"Indirizzo",
        "id":"Parametri_IndirizzoRitiro",
        "format":"",
        "carattere_speciale":"",
        "col":"2",
        "options":"",
        "enabled":""
      },
      {
        "titolo":"Telefono",
        "label":"Telefono",
        "id":"Parametri_TelefonoRitiro",
        "format":"number",
        "carattere_speciale":"",
        "col":"2",
        "options":"",
        "enabled":""
      },
    ]%}
      <div class="form-row">
        {% for rowlabel in campi %}
        <div class="form-group col-lg-{{ rowlabel['col'] }}">
          <label for=""> {{ rowlabel['titolo']}} </label>
        </div>
        {% endfor %}
      </div>
      {% for i in range(1, num) %}
      <div class="form-row">
        {% for campo in campi %}
        <div class="form-group col-lg-{{ campo['col'] }}">
          {% if campo["carattere_speciale"]!=''%}<div class="paragraph">{% endif %}
            {% if campo["options"] == ''%}<input {% else %} <select {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i==1 %} {% if campo['enabled']!= '' %} enabled="{{condiz}}" {% else %} mandatory_enabled="{{condiz}}" {% endif %} {% endif %} {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} {% if campo['enabled'] != '' %} enabled="#{{ campi[0]['id']~i }}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %} {% endif %}{% endif %} class="form-control {% if campo['options'] != ''%} custom-select {% endif %} {% if campo['carattere_speciale']!='' %} w-50 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
            {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
          {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
        </div>
        {% endfor %}
      </div>
      {% endfor %}
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="FiglioGrande" name="FiglioGrande" type="checkbox" value="SI" enabled="#Tassonomia_ScuolaFiglio2.checked()" dynamic_check="#Tassonomia_ScuolaFiglio2.checked()">
    <label class="form-check-label text-justify" for="FiglioGrande"> il sottoscritto autorizza ad usufruire in modo autonomo del trasporto scolastico ed esonera l'Amministrazione comunale dalla responsabilità connessa all'adempimento dell'obbligo di vigilanza nella salita e discesa dal mezzo e nel tempo di sosta alla fermata utilizzata, anche al ritorno dalle attività scolastiche  </label>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<globo_salto_pagina></globo_salto_pagina>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}